

IHost host = Host.CreateDefaultBuilder(args)
	.UseWindowsService()
	.ConfigureServices((hostContext, services) => {

		IConfiguration configuration = hostContext.Configuration;
		services.AddHostedService<Worker>();
		services.ConfigurePgSqlContext(configuration);
		services.AddSingleton<UpdateOperations>();
		services.AddScoped<IRepositoryWrapper, RepositoryWrapper>();
		
	})
	.Build();

await host.RunAsync();
